| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.VisibilitySegment Class Reference

Class Class to store a visibility segment. More...

Inheritance diagram for EECFI.VisibilitySegment:

List of all members.

## Public Member Functions
| VisibilitySegment ()
| Empty Class constructor.
| VisibilitySegment (long orbit0, long secs0, long microsecs0, long orbit1, long secs1, long microsecs1, long visTypeIn, final VisExtraInfo extraInfoIn) throws CfiError
| Paramters class constructor.
| VisibilitySegment (long typeIn, double utcStartIn, double utcStopIn, long orbit0, long secs0, long microsecs0, long orbit1, long secs1, long microsecs1, long visTypeIn, final VisExtraInfo extraInfoIn) throws CfiError
| Paramters class constructor.
| VisibilitySegment (final VisibilitySegment segment) throws CfiError
| Copy constructor.
ZoneExtraInfo | getZoneExtraInfo () throws CfiError
| Get extra data for zone visibility segment.
StationExtraInfo | getStationExtraInfo () throws CfiError
| Get extra data for station visibility segment.
MultiZonesExtraInfo | getMultiZonesExtraInfo () throws CfiError
| Get extra data for multiple zones visibility segment.
MultiStationsExtraInfo | getMultiStationsExtraInfo () throws CfiError
| Get extra data for multiple stations visibility segment.
MappingExtraInfo | getMappingExtraInfo () throws CfiError
| Get extra data for segments obtained from mapping.
StarExtraInfo | getStarExtraInfo () throws CfiError
| Get extra data for star visibility segment.
void | copy (final VisibilitySegment segment) throws CfiError
| Copy operator.
## Public Attributes
long | type
| See XVTimeTypeEnum.
double | utcTimeStart
| Start UTC time.
double | utcTimeStop
| Stop UTC time.

## Detailed Description

Class Class to store a visibility segment.

## Constructor & Destructor Documentation

EECFI.VisibilitySegment.VisibilitySegment | ( |  | ) |

Empty Class constructor.

EECFI.VisibilitySegment.VisibilitySegment | ( | long | orbit0,
|  | long | secs0,
|  | long | microsecs0,
|  | long | orbit1,
|  | long | secs1,
|  | long | microsecs1,
|  | long | visTypeIn,
|  | final VisExtraInfo | extraInfoIn |
| ) |  |  | throws CfiError

Paramters class constructor.

EECFI.VisibilitySegment.VisibilitySegment | ( | long | typeIn,
|  | double | utcStartIn,
|  | double | utcStopIn,
|  | long | orbit0,
|  | long | secs0,
|  | long | microsecs0,
|  | long | orbit1,
|  | long | secs1,
|  | long | microsecs1,
|  | long | visTypeIn,
|  | final VisExtraInfo | extraInfoIn |
| ) |  |  | throws CfiError

Paramters class constructor.

EECFI.VisibilitySegment.VisibilitySegment | ( | final VisibilitySegment | segment | ) | throws CfiError

Copy constructor.

## Member Function Documentation

void EECFI.VisibilitySegment.copy | ( | final VisibilitySegment | segment | ) | throws CfiError

Copy operator.

MappingExtraInfo EECFI.VisibilitySegment.getMappingExtraInfo | ( |  | ) | throws CfiError

Get extra data for segments obtained from mapping.

MultiStationsExtraInfo EECFI.VisibilitySegment.getMultiStationsExtraInfo | ( |  | ) | throws CfiError

Get extra data for multiple stations visibility segment.

MultiZonesExtraInfo EECFI.VisibilitySegment.getMultiZonesExtraInfo | ( |  | ) | throws CfiError

Get extra data for multiple zones visibility segment.

StarExtraInfo EECFI.VisibilitySegment.getStarExtraInfo | ( |  | ) | throws CfiError

Get extra data for star visibility segment.

StationExtraInfo EECFI.VisibilitySegment.getStationExtraInfo | ( |  | ) | throws CfiError

Get extra data for station visibility segment.

ZoneExtraInfo EECFI.VisibilitySegment.getZoneExtraInfo | ( |  | ) | throws CfiError

Get extra data for zone visibility segment.

## Member Data Documentation

long EECFI.VisibilitySegment.type

See XVTimeTypeEnum.

double EECFI.VisibilitySegment.utcTimeStart

Start UTC time.

double EECFI.VisibilitySegment.utcTimeStop

Stop UTC time.